services:
  ghost:
    extends:
      file: ${TEMPLATES_PATH}
      service: default
    image: ghost:6.19.2-alpine
    container_name: ghost
    ports:
      - 4016:2368
    environment:
      # see https://ghost.org/docs/config/#configuration-options
      database__client: mysql
      database__connection__host: mysql-ghost
      database__connection__user: root
      database__connection__password: example
      database__connection__database: ghost
      # this url value is just an example, and is likely wrong for your environment!
      url: http://192.168.1.38:4016
      # contrary to the default mentioned in the linked documentation, this image defaults to NODE_ENV=production (so development mode needs to be explicitly specified if desired)
      NODE_ENV: development
    volumes:
      - ${SERVICE_PATH}/ghost/data/ghost:/var/lib/ghost/content

  mysql-ghost:
    extends:
      file: ${TEMPLATES_PATH}
      service: default
    image: mysql:8.0
    container_name: mysql-ghost
    environment:
      MYSQL_ROOT_PASSWORD: example
    volumes:
      - ${SERVICE_PATH}/ghost/data/db:/var/lib/mysql

